Skip to main content
GET
/
v1
/
users
/
{address}
/
profile
Error
A valid request URL is required to generate request examples
{
  "address": "<string>",
  "proposalsCount": 4503599627370495,
  "marketsCreatedCount": 4503599627370495,
  "activeMarketsCount": 4503599627370495,
  "totalVolume": "<string>",
  "tradesCount": 4503599627370495,
  "winsCount": 4503599627370495,
  "lossesCount": 4503599627370495,
  "winRatio": 123,
  "lastWeekVolume": "<string>",
  "lastMonthVolume": "<string>",
  "lastTradeAt": "<string>",
  "totalWon": "<string>",
  "totalLost": "<string>",
  "refererAddress": "<string>",
  "createdAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aura.markets/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from POST /v1/auth/keys.

Path Parameters

address
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$

Response

Default Response

address
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
proposalsCount
integer
required
Required range: 0 <= x <= 9007199254740991
marketsCreatedCount
integer
required
Required range: 0 <= x <= 9007199254740991
activeMarketsCount
integer
required
Required range: 0 <= x <= 9007199254740991
totalVolume
string
required

Lifetime trading volume (collateral base units string).

tradesCount
integer
required
Required range: 0 <= x <= 9007199254740991
winsCount
integer
required
Required range: 0 <= x <= 9007199254740991
lossesCount
integer
required
Required range: 0 <= x <= 9007199254740991
winRatio
number | null
required

wins / (wins + losses) in [0, 1].

lastWeekVolume
string
required
lastMonthVolume
string
required
lastTradeAt
string | null
required

ISO-8601.

totalWon
string | null
required
totalLost
string | null
required
refererAddress
string | null
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
createdAt
string | null
required